[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.FileName

File name used to store output from the print device.

## Declaration

Source position: printers.pas line 330

`public property TPrinter.FileName : string read FFileName write FFileName;`

## Description

FileName is a String property which contains the path and file name on the local file system where output from the print device is stored.

Remark: | FileName is not used in the implementation of TPrinter. It is provided for use in descendent classes.

Remark: | The content stored in FileName is specific to the printer backend used for a given platform. For example: When using CUPS (mainly under UNIX-like systems), it will contain Postscript output. For Windows, it will contain the format required for the selected printer device.